.NET

Reply
Valued Contributor
mbujak
Posts: 53
Registered: ‎07-07-2004
Message 1 of 2 (181 Views)
Accepted Solution

Managed Wrapper - DBObjectCollection

181 Views, 1 Replies
10-09-2012 07:10 AM

How do I convert a DBObjectCollection to an AcDbVoidPtrArray in a managed wrapper class? Any ideas? I have a series of entities (Non-database resident) that I want to pass through to my unmanaged custom object, but I cannot find any references to this type of action.

 

Any suggestions?

 

Mike B

Valued Mentor
DiningPhilosopher
Posts: 370
Registered: ‎05-06-2012
Message 2 of 2 (163 Views)

Re: Managed Wrapper - DBObjectCollection

10-09-2012 03:16 PM in reply to: mbujak

The value of the UnmanagedObject property of a DBObjectCollection is a pointer to the wrapped AcDbVoidPtrArray*. Call ToPointer() and cast the returned value to AcDbVoidPtrArray*

You are not logged in.

Log into access your profile, ask and answer questions, share ideas and more. Haven't signed up yet? Register

Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.

Need installation help?

Start with some of our most frequented solutions to get help installing your software.

Ask the Community